Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.repositories
[Java] Interface AuthenticationSupported

    public interface AuthenticationSupported

An artifact repository which supports username/password authentication.

Method Summary
`void` | `credentials(Closure closure)` Configure the Credentials for this repository using the supplied Closure.
`PasswordCredentials` | `getCredentials()` Provides the Credentials used to authenticate to this repository.

Method Detail

### credentials

    public void credentials(Closure closure)

  Configure the Credentials for this repository using the supplied Closure.

       repositories {
           maven {
               credentials {
                   username = 'joe'
                   password = 'secret'
               }
           }
       }

### getCredentials

    public PasswordCredentials getCredentials()

  Provides the Credentials used to authenticate to this repository.
  Returns:
    The credentials

Gradle API 1.1-rc-1